ProyectoCrm/src/app/Modulos/ColeccionesModulo/Paginas/fw-colecciones/Componentes/fw-colecciones-articulos/fw-colecciones-articulos.component.html

<div class="Carrito--Cabecera">
  <div class="col-9">
    <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Articulo</h6>
  </div>
  <div class="col-2">
    <h6 class="Carrito--Cabecera-ColumnaEtiqueta">Cantidad</h6>
  </div>
  <div class="col-1"></div>
</div>
<div class="Carrito--Detalles">
  <ng-container *ngFor="let tArticuloCol of tColeccion.LArticulos | slice: (tPaginaArticulos-1) * tTamanoPagArticulos : (tPaginaArticulos-1) * tTamanoPagArticulos + tTamanoPagArticulos; let jv = index">
    <div class="Carrito--Item">
      <div class="col-9">
        <div class="row">
          <div class="col-4"><img class="Carrito--Item-Imagen" [src]="tArticuloCol.Url" alt=""/></div>
          <div class="col-8">
            <div class="row">
              <div class="col-12">
                <h5 class="Carrito--Item-Titulo">[ {{ tArticuloCol.Codarticulo }} ] - {{ tArticuloCol.Descripcion }}</h5>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <h5 class="Carrito--Item-Subtitulo">Talla: {{ tArticuloCol.Talla }}</h5>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <h5 class="Carrito--Item-Subtitulo">Color: [ {{ tArticuloCol.Codcolor }} ] {{ tArticuloCol.Desc_color }}</h5>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-2">
        <input class="form-control form-control-sm" type="number" SoloNumeros="number" min="0" [(ngModel)]="tArticuloCol.Cantidad"/>
      </div>
      <div class="col-1">
        <button class="Carrito--Item-btnEliminar" type="button" (click)="EliminarArticuloColeccion(tArticuloCol)"><i class="fas fa-trash-alt"></i></button>
      </div>
    </div>
  </ng-container>
</div>
<div class="Carrito--Paginacion">
  <div class="col-12">
    <ngb-pagination class="d-flex justify-content-end" [collectionSize]="tColeccion.LArticulos.length" [(page)]="tPaginaArticulos" aria-label="Default pagination" [pageSize]="tTamanoPagArticulos" size="sm"></ngb-pagination>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ColeccionesModulo/Paginas/fw-colecciones/Componentes/fw-colecciones-articulos/fw-colecciones-articulos.component.pug
div.Carrito--Cabecera
  div.col-9
    h6.Carrito--Cabecera-ColumnaEtiqueta Articulo
  div.col-2
    h6.Carrito--Cabecera-ColumnaEtiqueta Cantidad
  div.col-1
div.Carrito--Detalles
  ng-container(*ngFor="let tArticuloCol of tColeccion.LArticulos | slice: (tPaginaArticulos-1) * tTamanoPagArticulos : (tPaginaArticulos-1) * tTamanoPagArticulos + tTamanoPagArticulos; let jv = index")
    div.Carrito--Item
      div.col-9
        div.row
          div.col-4
            img([src]="tArticuloCol.Url",
                alt="").Carrito--Item-Imagen
          div.col-8
            div.row
              div.col-12
                h5.Carrito--Item-Titulo [ {{ tArticuloCol.Codarticulo }} ] - {{ tArticuloCol.Descripcion }}
            div.row
              div.col-12
                h5.Carrito--Item-Subtitulo Talla: {{ tArticuloCol.Talla }}
            div.row
              div.col-12
                h5.Carrito--Item-Subtitulo Color: [ {{ tArticuloCol.Codcolor }} ] {{ tArticuloCol.Desc_color }}
      div.col-2
        input(type="number",
              SoloNumeros="number",
              min="0",
              [(ngModel)]="tArticuloCol.Cantidad").form-control.form-control-sm
      div.col-1
        button(type="button",
            (click)="EliminarArticuloColeccion(tArticuloCol)").Carrito--Item-btnEliminar
          i.fas.fa-trash-alt
div.Carrito--Paginacion
  div.col-12
    ngb-pagination([collectionSize]="tColeccion.LArticulos.length",
                                    [(page)]="tPaginaArticulos",
                                    aria-label="Default pagination",
                                    [pageSize]="tTamanoPagArticulos",
                                    size="sm").d-flex.justify-content-end
